Package net.shibboleth.idp.session.context.navigate

# Class SessionContextPrincipalLookupFunction

java.lang.Object
net.shibboleth.idp.session.context.navigate.SessionContextPrincipalLookupFunction

All Implemented Interfaces:
  `Function<SessionContext,String>`, `ContextDataLookupFunction<SessionContext,String>`

public class SessionContextPrincipalLookupFunction extends Object implements ContextDataLookupFunction<SessionContext,String>
A function that returns the principal name from the session inside a `SessionContext`.

## Constructor Summary

Constructors
Constructor
Description
`SessionContextPrincipalLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(SessionContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SessionContextPrincipalLookupFunction

public SessionContextPrincipalLookupFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable SessionContext input)

Specified by:
  `apply` in interface `Function<SessionContext,String>`